;---------------------------------------------------------------------------
; Format:
; [Statedef STATENO]
; type = ?      S/C/A/L  stand/crouch/air/liedown
; movetype = ?  I/A/H    idle/attack/gethit
; physics = ?   S/C/A/N  stand/crouch/air/none
; juggle = ?             air juggle points move requires
;
; [State STATENO, ?]     ? - any number you choose
; type = ?
; ...

;---------------------------------------------------------------------------
; LOSE (Time over)
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0,0

[State 151, 4]
type = ChangeState
trigger1 = Time >= GetHitVar(damage)
value = 130
ctrl = 1

[State 170, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

;---------------------------------------------------------------------------
; WIN
[Statedef 180]
type = S

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181

;---------------------------------------------------------------------------
; WIN1
[Statedef 181]
type = S
ctrl = 0
anim = 181
velset = 0,0,0

[State 181, 1]
type = NotHitBy
trigger1 = Time >= 0
value = SCA
time = 1

;[State 181, 2] ;Assert this until you want "round 1, fight" to begin
;type = AssertSpecial
;trigger1 = Time = [0,200]
;flag = roundnotover
;---------------------------------------------------------------------------
; INTRO
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0,0

;[State 191, 2] ;Assert this until you want "round 1, fight" to begin
;type = AssertSpecial
;trigger1 = Time = [0,70]
;flag = Intro

[State 191, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 0
;---------------------------------------------------------------------------
; PNinja
[Statedef 1000]
type    = S
movetype= I
physics = S
ctrl = 0
anim = 0

[State 1000, 5]
type = Helper
trigger1 = Time = 0
name = "PNinja"
pos = 0, 0
postype = Back
stateno = 1010
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1000, 10]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;PNinja
[Statedef 1010]
type    = S
movetype= I
velset = 1.5,0
anim = 1000

[State 1010, 100]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1030

[State 1010, 25]
type = VelSet
trigger1 = P2Dist X < 0
x = Vel X*-1

[State 1010, 10]
type = turn
trigger1 = P2Dist X < 0

[State 1010, 110]
type = ChangeState
trigger1 = P2BodyDist X <= 30
value = 1020

[State 1030, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; 
[Statedef 1020]
type    = S
movetype= A
velset = 0,0
anim = 1010

[State 1010, 20]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
damage    = 10
guardflag = MA
givepower = 200
pausetime = 2,2
sparkno = 0
sparkxy = -10,0
hitsound   = 5,3
guardsound = 6,0
ground.type = Trip
ground.slidetime = 4
ground.hittime  = 4
ground.velocity = 0
air.velocity = 0,0
fall = 1

[State 1010, 20]
type = HitDef
trigger1 = AnimElem = 8
attr = S, NA
damage    = 10
hitflag = MA
guardflag = MA
givepower = 200
pausetime = 2,2
sparkno = 0
sparkxy = -10,0
hitsound   = 5,3
guardsound = 6,0
ground.type = Trip
ground.slidetime = 4
ground.hittime  = 4
ground.velocity = 0
air.velocity = 0,0
fall = 1

[State 1020, 100]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1030

[State 1020, 120]
type = ChangeState
trigger1 = AnimTime = 0
value = 1010
;---------------------------------------------------------------------------
[Statedef 1030]
type    = S
movetype= I
velset = -8,-8
anim = 1020

[State 1030, 10]
type = Helper
trigger1 = Time = 0
id = 4000
name = "DAMAGE"
pos = 0, 0
postype = p1
stateno = 4010
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1030, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -30
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -30
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; Rocksted
[Statedef 1100]
type    = S
movetype= I
physics = S
ctrl = 0
anim = 0

[State 1100, 0]
type = Helper
trigger1 = AnimElem = 1
id = 1100
name = "Rocksted"
pos = 0, 0
postype = Front
stateno = 1110
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1100, 10]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; 
[Statedef 1110]
type    = S
movetype= A
velset = -2.0,0
anim = 1110

[State 1110, 20]
type = HitDef
triggerall = MoveContact = 0
trigger1 = AnimElem = 1
trigger2 = AnimElem = 2
attr = A, NA
damage    = 20
hitflag = MA
guardflag = MA
givepower = 500
pausetime = 0,0
sparkno = 0
sparkxy = -10,0
hitsound   = 5,3
guardsound = 6,0
ground.type = Trip
ground.slidetime = 4
ground.hittime  = 4
ground.velocity = 20,0
air.velocity = 20,0
fall = 1

[State 1110, 10]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1120

[State 1110, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50

;---------------------------------------------------------------------------
[Statedef 1120]
type    = S
movetype= I
velset = 8,-8
anim = 1120

[State 1120, 10]
type = Helper
trigger1 = Time = 0
id = 4000
name = "DAMAGE"
pos = 0, 0
postype = p1
stateno = 4010
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1120, 10]
type = DestroySelf
trigger1 = FrontEdgeDist <= -30
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -30
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; Gninja
[Statedef 1200]
type    = S
movetype= I
physics = S
ctrl = 0
anim = 0

[State 1200, 0]
type = Helper
trigger1 = AnimElem = 1
id = 1200
name = "GNinja"
pos = 0, 0
postype = Back
stateno = 1210
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1200, 10]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;GNinja
[Statedef 1210]
type    = S
movetype= I
velset = 1.5,0
anim = 1210

[State 1210, 100]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1030

[State 1210, 25]
type = VelSet
trigger1 = P2Dist X < 0
x = Vel X*-1

[State 1210, 10]
type = turn
trigger1 = P2Dist X < 0

[State 1210, 105]
type = ChangeState
triggerall = P2MoveType = A
trigger1 = P2stateno >= 200
trigger1 = P2stateno < 4000
value = 1220

[State 1210, 110]
type = ChangeState
trigger1 = P2BodyDist X <= 20
value = 1230

[State 1230, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
;GNinja
[Statedef 1220]
type    = S
movetype= I
velset = 0,0
anim = 1220

[State 1220, 100]
type = ReversalDef
trigger1 = AnimElem = 1
reversal.attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
pausetime = 0,0
p1stateno = 1220

[State 1220, 100]
type = HitOverride
trigger1 = Time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1240

[State 1210, 110]
type = ChangeState
trigger1 = Time > 32
value = 1210
;---------------------------------------------------------------------------
; 
[Statedef 1230]
type    = S
movetype= A
velset = 0,0
anim = 1230

[State 1230, 20]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
damage    = 10
hitflag = MA
guardflag = MA
givepower = 200
pausetime = 2,2
sparkno = 0
sparkxy = -10,0
hitsound   = 5,3
guardsound = 6,0
ground.type = Trip
ground.slidetime = 4
ground.hittime  = 4
ground.velocity = 0
air.velocity = 0,0
fall = 1

[State 1230, 100]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1240

[State 1020, 120]
type = ChangeState
trigger1 = AnimTime = 0
value = 1210
;---------------------------------------------------------------------------
[Statedef 1240]
type    = S
movetype= I
velset = -8,-8
anim = 1240

[State 1240, 10]
type = Helper
trigger1 = Time = 0
id = 4000
name = "DAMAGE"
pos = 0, 0
postype = p1
stateno = 4010
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1240, 10]
type = DestroySelf
trigger1 = FrontEdgeDist <= -30
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -30
trigger2 = Time >= 50
;---------------------------------------------------------------------------
;ROXY
[Statedef 1300]
type    = S
movetype= I
physics = S
ctrl = 0
anim = 0

[State 1300, 5]
type = Helper
trigger1 = Time = 0
name = "RNinja"
pos = 0, 0
postype = Back
stateno = 1310
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1300, 10]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;
[Statedef 1310]
type    = S
movetype= I
velset = 1.8,0
anim = 1310

[State 1310, 100]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1330

[State 1310, 25]
type = VelSet
trigger1 = P2Dist X < 0
x = Vel X*-1

[State 1310, 10]
type = turn
trigger1 = P2Dist X < 0

[State 1310, 110]
type = ChangeState
trigger1 = P2BodyDist X <= 160
value = 1320

[State 1310, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; 
[Statedef 1320]
type    = S
movetype= A
velset = 1.8,-8
anim = 1320

[State 1320, 0]
type = VelAdd
trigger1 = Pos Y < 0
y = 0.2

[State 1320, 0]
type = ChangeAnim
trigger1 = Vel Y > 0
value = 1330

[State 1320, 20]
type = HitDef
triggerall = MoveContact = 0
triggerall = Vel Y > 0
trigger1 = AnimElem = 1
attr = A, NA
damage    = 10
hitflag = MA
guardflag = HA
givepower = 500
pausetime = 0,0
sparkno = 0
sparkxy = -10,0
hitsound   = 5,3
guardsound = 6,0
ground.type = Trip
ground.slidetime = 4
ground.hittime  = 4
ground.velocity = 0,0
air.velocity = 0,0
fall = 1

[State 1320, 70]
type = ChangeState
trigger1 = Pos Y >= 0
trigger1 = anim = 1330
value = 1310

[State 1320, 80]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1330

[State 1320, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
[Statedef 1330]
type    = S
movetype= I
velset = -8,-8
anim = 1340

[State 1330, 10]
type = Helper
trigger1 = Time = 0
id = 4000
name = "DAMAGE"
pos = 0, 0
postype = p1
stateno = 4010
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1330, 10]
type = DestroySelf
trigger1 = FrontEdgeDist <= -30
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -30
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; YNinja
[Statedef 1400]
type    = S
movetype= I
physics = S
ctrl = 0
anim = 0

[State 1400, 5]
type = Helper
trigger1 = Time = 0
name = "YNinja"
pos = 0, 0
postype = Front
stateno = 1410
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1400, 10]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;
[Statedef 1410]
type    = S
movetype= I
velset = 1.7,0
anim = 1410

[State 1410, 100]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1440

[State 1410, 25]
type = VelSet
trigger1 = P2Dist X < 0
x = Vel X*-1

[State 1410, 10]
type = turn
trigger1 = P2Dist X < 0

;[State 1410, 105]
;type = ChangeState
;trigger1 = P2BodyDist X <= 100
;value = 1430

[State 1410, 110]
type = ChangeState
triggerall = P2MoveType = A
trigger1 = P2stateno >= 200
trigger1 = P2stateno < 4000
value = 1420

[State 1410, 120]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; 
[Statedef 1420]
type    = S
movetype= A
velset = 0,0
anim = 1420

[State 1420, 2]
type = Projectile
trigger1 = AnimElem = 6
projanim = 1425
offset = 40, -25
velocity = 4.5,0
attr = S, SP
damage = 10
animtype = Medium
pausetime = 0,3
sparkno = 1
sparkxy = 10, 0
hitsound = 5,3
guardflag = MA
guardsound = 6,0
ground.type = Low
ground.slidetime = 5
ground.hittime = 5
ground.velocity = 0
air.velocity = 0,0

[State 1420, 105]
type = ChangeState
trigger1 = AnimTime = 0
value = 1410

[State 1420, 80]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1440

[State 1420, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; 
[Statedef 1430]
type    = S
movetype= A
velset = 0,0
anim = 1430

[State 1430, 0]
type = VelSet
trigger1 = AnimElem = 2
x = 10

[State 1430, 0]
type = Veladd
trigger1 = Vel X > 0
x = -0.2

[State 1420, 105]
type = ChangeState
trigger1 = Vel X <= 0
trigger1 = Time > 32 
value = 1410

[State 1430, 20]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
damage    = 10
hitflag = MA
guardflag = LA
givepower = 500
pausetime = 0,0
sparkno = 0
sparkxy = -10,0
hitsound   = 5,3
guardsound = 6,0
ground.type = Trip
ground.slidetime = 4
ground.hittime  = 4
ground.velocity = 0,0
air.velocity = 0,0
fall = 1

[State 1430, 10]
type = HitOverride
trigger1 = time = 0
time = -1
attr = SCA, AA, AT, AP, NA, SA, HA, NT, ST, HT, NP, SP, HP
slot = 0
stateno = 1440

[State 1430, 100]
type = DestroySelf
trigger1 = FrontEdgeDist <= -100
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -100
trigger2 = Time >= 50
;---------------------------------------------------------------------------
[Statedef 1440]
type    = S
movetype= I
velset = -8,-8
anim = 1440

[State 1440, 10]
type = Helper
trigger1 = Time = 0
id = 4000
name = "DAMAGE"
pos = 0, 0
postype = p1
stateno = 4010
helpertype = normal
keyctrl = 0
ownpal = 1

[State 1440, 10]
type = DestroySelf
trigger1 = FrontEdgeDist <= -30
trigger1 = Time >= 50
trigger2 = BackEdgeDist <= -30
trigger2 = Time >= 50
;---------------------------------------------------------------------------
; 
[Statedef 4010]
type    = S
movetype= I
velset = 0,0
anim = 0

[State 4010, 100]
type = DestroySelf
trigger1 = Time >= 1
;------------------------------
[Statedef -2]

[State -2, 10]
type = VelSet
trigger1 = P2Dist X < 30
x = -6

[State -2, 20]
type = PosSet
trigger1 = P2Dist X > 60
trigger1 = facing = 1
x = Pos X+100

[State -2, 30]
type = PosSet
trigger1 = P2Dist X > 60
trigger1 = facing = -1
x = Pos X-100

[State -2, 35]
type = PosSet
trigger1 = P2Dist X < 5
trigger1 = facing = 1
x = Pos X+20

[State -2, 36]
type = PosSet
trigger1 = P2Dist X < 5
trigger1 = facing = -1
x = Pos X-20

[State -2, 40]
type = Lifeadd
trigger1 = numHelper(4000) > 0
value = -100*numHelper(4000)
;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------

